List Contacts by Tag
curl --request GET \
--url https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 100234,
"name": "Marcus Castellano",
"contactType": "Household",
"contactName": "Marcus Castellano",
"address": "219 Oak Hill Drive, Springfield, OR 97478",
"email": "marcus.castellano@example.org",
"phone": "(555) 012-3401",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234"
},
{
"id": 100456,
"name": "Priya Sharma",
"contactType": "Household",
"contactName": "Priya Sharma",
"address": "1542 Elmwood Lane, Springfield, OR 97477",
"email": "priya.sharma@example.org",
"phone": "(555) 012-3450",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100456"
}
],
"total": 1247
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
List Contacts by Tag
Returns the contacts that carry the given tag. Use filter to narrow the results by contact name, and sortBy and descending to control the order. Use skip and take to page through the results.
GET
/
api
/
Contact
/
ByTag
/
{tagId}
List Contacts by Tag
curl --request GET \
--url https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 100234,
"name": "Marcus Castellano",
"contactType": "Household",
"contactName": "Marcus Castellano",
"address": "219 Oak Hill Drive, Springfield, OR 97478",
"email": "marcus.castellano@example.org",
"phone": "(555) 012-3401",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234"
},
{
"id": 100456,
"name": "Priya Sharma",
"contactType": "Household",
"contactName": "Priya Sharma",
"address": "1542 Elmwood Lane, Springfield, OR 97477",
"email": "priya.sharma@example.org",
"phone": "(555) 012-3450",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100456"
}
],
"total": 1247
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Query Parameters
Was this page helpful?